/****************************************************/
/* Examples Program For "CP-JR ARM7 LPC2368"        */
/* Target MCU  : Philips ARM7-LPC2368               */
/*       	   : X-TAL : 12.00 MHz                  */
/*             : PLL Setup = MSEL(12),NSEL(1)		*/
/* Keil Editor : uVision3 V3.53a                    */
/* Compiler    : Keil Realview MDK V3.20	        */
/* Create By   : Eakachai Makarn (WWW.ETT.CO.TH)    */
/* Last Update : 12/November/2007                   */
/* Function    : Example Generate Beep on Speaker   */
/****************************************************/

#include "LPC23xx.H" 	                                	// LPC2368 MPU Register

// Pin I/O Speaker Control Maskbit
#define  SPEAKER    0x00000100   							// P2.8(0000 0000 0000 0000 0000 000x 0000 0000)

#define  SPEAKER_ON()  FIO2SET = SPEAKER					// Speaker Pin = 1 (ON LED)
#define  SPEAKER_OFF() FIO2CLR = SPEAKER					// Speaker Pin = 0 (OFF LED)

/* pototype  section */
void delay(unsigned long int);								// Delay Time Function

int main(void)
{ 
  unsigned int beep_time;

  // Config Pin GPIO2[8]   
  PINSEL4  &= 0xFFFCFFFF;  									// P2[8] = GPIO Function(xxxx xxxx xxxx xx00 xxxx xxxx xxxx xxxx)    
  FIO2DIR  |= SPEAKER;  					         		// Set GPIO-2[8] = Output(xxxx xxxx xxxx xxxx xxxx xxx1 xxxx xxxx)
  SPEAKER_OFF();											// Default Speaker Status
   
  // Loop Generate Beep on Speaker(P2.8) 
  while(1)													// Loop Continue
  { 
    for (beep_time = 0; beep_time < 500; beep_time++)		// Start Beep
    { 
	  SPEAKER_ON();											// ON Speaker
      delay(5000);											
	
	  SPEAKER_OFF();                           	 			// OFF Speaker	
	  delay(5000);											    	    			
    }	
	      	
	delay(10000000);		 								// Stop Beep
  }  
}	  

/***********************/
/* Delay Time Function */
/*    1-4294967296     */
/***********************/
void delay(unsigned long int count1)
{
  while(count1 > 0) {count1--;}								// Loop Decrease Counter	
}
