/****************************************************/
/* Examples Program For "CP-JR ARM7 LPC2368"        */
/* Target MCU  : Philips ARM7-LPC2368               */
/*       	   : X-TAL : 12.00 MHz                  */
/*             : PLL Setup = MSEL(12),NSEL(1)		*/
/* Keil Editor : uVision3 V3.53a                    */
/* Compiler    : Keil Realview MDK V3.20	        */
/* Create By   : Eakachai Makarn (WWW.ETT.CO.TH)    */
/* Last Update : 12/November/2007                   */
/* Function    : Example LED Blink on GPIO3[26:25]  */
/****************************************************/

#include "LPC23xx.H" 	                                	// LPC2368 MPU Register

// Pin I/O LED Control Maskbit
#define  LED1       0x02000000   							// P3.25(0000 00x0 0000 0000 0000 0000 0000 0000)
#define  LED2       0x04000000   							// P3.26(0000 0x00 0000 0000 0000 0000 0000 0000)

#define  LED1_ON()  FIO3CLR = LED1    						// LED1 Pin = 0 (ON LED)
#define  LED1_OFF() FIO3SET = LED1							// LED1 Pin = 1 (OFF LED)
#define  LED2_ON()  FIO3CLR = LED2							// LED2 Pin = 0 (ON LED)
#define  LED2_OFF() FIO3SET = LED2							// LED2 Pin = 1 (OFF LED)

/* pototype  section */
void delay(unsigned long int);								// Delay Time Function

int main(void)
{ 
  // Config Pin GPIO3[26:25]   
  PINSEL7  &= 0xFFC3FFFF;  									// P3[26:25] = GPIO Function(xxxx xxxx xx00 00xx xxxx xxxx xxxx xxxx)
  PINMODE7 &= 0xFFC3FFFF;									// Enable Puul-Up on P3[26:25]
   
  FIO3DIR  |= LED1;  						         		// Set GPIO-3[26:25] = Output(xxxx x11x xxxx xxxx xxxx xxxx xxxx xxxx)
  FIO3DIR  |= LED2;
  LED1_OFF();												// Default LED Status
  LED2_OFF();
  
  // Loop Test LED Output on GPIO3[26],GPIO3[25] 
  while(1)													// Loop Continue
  {        
	LED1_ON();												// ON  LED1
	LED2_OFF();                              				// OFF LED2
    delay(5000000);											// Display Delay
	
	LED1_OFF();	                              	 			// OFF LED1
	LED2_ON();												// ON  LED2	
	delay(5000000);											// Display Delay
  }  
}	  

/***********************/
/* Delay Time Function */
/*    1-4294967296     */
/***********************/
void delay(unsigned long int count1)
{
  while(count1 > 0) {count1--;}								// Loop Decrease Counter	
}
